Bug 813802 - internal compiler error: in build_abbrev_table, at dwarf2out.c:10872
internal compiler error: in build_abbrev_table, at dwarf2out.c:10872
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 09:06 EDT by udo
Modified: 2015-01-13 09:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 09:04:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2012-04-18 09:06:09 EDT
Description of problem:
internal compiler error: in build_abbrev_table, at dwarf2out.c:10872


Version-Release number of selected component (if applicable):
gcc-4.6.3-2.fc16.x86_64

How reproducible:
make

  
Actual results:
gcc -O2 -march=native -mtune=native -Wall -W -Wconversion -Wshadow -Wwrite-strings -pedantic -std=c++0x -DVERSION=\"0.1\" -g -g3 -gdwarf-2 -feliminate-dwarf2-dups -fasynchronous-unwind-tables -D_DEBUG=1  -DNAGIOS -DBACKTRACE -c -o animation_action_move.o ../animation_action_move.cpp
../animation_action_move.cpp:66:1: internal compiler error: in build_abbrev_table, at dwarf2out.c:10872
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccqtZd4F.out file, please attach this to your bugreport.
make[1]: *** [animation_action_move.o] Error 1
make[1]: Leaving directory `/usr/src/sysopview-0.1/objs'
make: *** [all] Error 2

Expected results:
binary!

Additional info:
see attachment
Comment 1 udo 2012-04-18 09:15:45 EDT
Adding the attachment with the Preprocessed source stored into /tmp/ccqtZd4F.out file does not work, the POST does not work...
Comment 2 udo 2012-04-20 12:37:41 EDT
I still cannot add the attachment. Why oh why? Upload does not even start.
Comment 3 Fedora End Of Life 2013-01-16 08:57:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2015-01-09 12:07:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 udo 2015-01-09 12:12:45 EST
Why no comment of a maintainer?
Comment 6 Marek Polacek 2015-01-13 07:35:46 EST
Without preprocessed source there's nothing we can do.  Does the ICE still occur?
Comment 7 udo 2015-01-13 09:04:58 EST
The process of this bugzilla thing took too long so I could not contribute quality to gcc.

Note You need to log in before you can comment on or make changes to this bug.